%{?!python3_pkgversion:%global python3_pkgversion 3}

%global pypi_name perky

Name:           python-perky
Version:        0.2.3
Release:        1%{?dist}
Summary:        A friendly, easy, Pythonic text file format
License:        BSD
URL:            https://github.com/larryhastings/perky/
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-flit

%{?python_enable_dependency_generator}

%description
Perky is a new, simple "rcfile" text file format for Python programs.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%if %{undefined python_enable_dependency_generator} && %{undefined python_disable_dependency_generator}
# Put manual requires here:
Requires:       python%{python3_pkgversion}-foo
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
Perky is a new, simple "rcfile" text file format for Python programs.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py3_build


%install
rm -rf $RPM_BUILD_ROOT
%py3_install


%check
%{__python3} tests/test_perky.py


%files -n  python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Oct 10 10:39:05 PDT 2020 Kevin Fenzi <kevin@scrye.com>
- Initial version for fedora
